Name: lshw
Version: 2.10
Release: alt1
%define real_version B.0%version

Summary: Hardware Lister
License: GPL
Group: System/Kernel and hardware

URL: http://ezix.org/project/wiki/HardwareLiSter
Source: http://ezix.org/software/files/lshw-%real_version.tar.gz

# up-to-date revisions of data files included in lshw archive
Source1: http://standards.ieee.org/regauth/oui/oui.txt
Source2: http://www.linux-usb.org/usb.ids
Source3: http://pciids.sourceforge.net/pci.ids

Source100: lshw.png
Source101: lshw.desktop

Patch1: lshw-debian-guiname.patch

# Automatically added by buildreq on Tue Nov 07 2006
BuildRequires: gcc-c++ libgtk+2-devel

%description
lshw (Hardware Lister) is a small tool to provide detailed informaton on
the hardware configuration of the machine. It can report exact memory
configuration, firmware version, mainboard configuration, CPU version
and speed, cache configuration, bus speed, etc. on DMI-capable x86
systems, on some PowerPC machines (PowerMac G4 is known to work) and
AMD64.

Information can be output in plain text, XML or HTML.

%package gui
Summary: Graphical hardware lister
Group: System/Kernel and hardware
Requires: lshw = %version-%release

%description gui
lshw (Hardware Lister) is a small tool to provide detailed informaton on
the hardware configuration of the machine. It can report exact memory
configuration, firmware version, mainboard configuration, CPU version
and speed, cache configuration, bus speed, etc. on DMI-capable x86
systems, on some PowerPC machines (PowerMac G4 is known to work) and
AMD64.

This package provides graphical (GTK+) front-end to lshw.

%prep
%setup -q -n lshw-%real_version
%patch1 -p1

%build
cp -f %_sourcedir/{oui.txt,pci.ids,usb.ids} src/
%__subst 's/-g -Wall -Os/%optflags/' src/core/Makefile src/gui/Makefile src/Makefile
# parallel build seems OK now. let's try...
%make_build all gui

%install
%make_install install install-gui DESTDIR=%buildroot
ln -s -f lshw-gtk %buildroot%_sbindir/lshw-gui

install -Dp -m644 %_sourcedir/lshw.png %buildroot%_pixmapsdir/lshw.png
install -Dp -m644 %_sourcedir/lshw.desktop %buildroot%_desktopdir/lshw.desktop

%post gui
%update_menus

%postun gui
%clean_menus

%files
%_sbindir/lshw
%dir %_datadir/lshw
%_datadir/lshw/*.txt
%_datadir/lshw/*.ids
%_man1dir/*

%files gui
%_sbindir/lshw-gtk
%_sbindir/lshw-gui
%_datadir/lshw/artwork/
%_pixmapsdir/*
%_desktopdir/*

%changelog
* Wed Mar 21 2007 Victor Forsyuk <force@altlinux.org> 2.10-alt1
- 2.10

* Tue Nov 07 2006 Victor Forsyuk <force@altlinux.org> 2.09-alt1
- 2.09
- Rename GUI frontend: lshw-gtk looks more logical than gtk-lshw.
- Move all artwork to gui package.
- Added freedesktop-style menu.

* Wed May 10 2006 Victor Forsyuk <force@altlinux.ru> 2.08.01-alt1
- 2.08.01

* Mon Nov 21 2005 Victor Forsyuk <force@altlinux.ru> 2.06-alt1
- 2.06

* Wed Jul 20 2005 Victor Forsyuk <force@altlinux.ru> 2.05-alt1
- New version.

* Sat Jun 25 2005 Victor Forsyuk <force@altlinux.ru> 2.04-alt1
- Initial build.
